Skip to content
Permalink
Browse files

debian packaging: depend on python 2.5 for sid while transition to 2.…

…6 is on

git-svn-id: http://svn.osgeo.org/qgis/trunk@12839 c8812cc2-4d05-0410-92ff-de0c093fc19c
  • Loading branch information
jef
jef committed Jan 28, 2010
1 parent bbcda4e commit 2d07997fbe9e583b1a67ea884ac670ca57b3366b
Showing with 7 additions and 2 deletions.
  1. +7 −2 debian/rules
@@ -11,7 +11,7 @@ DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

DISTRIBUTION := $(shell dpkg-parsechangelog --format rfc822 | sed -ne "s/^Distribution: //p")
ifneq ($(DISTRIBUTION),$(findstring $(DISTRIBUTION),"lenny hardy intrepid jaunty karmic"))
DISTRIBUTION := sid
DISTRIBUTION := sid
endif

QGIS_MAJOR=$(shell sed -ne 's/SET(CPACK_PACKAGE_VERSION_MAJOR "\([0-9]*\)")/\1/p' CMakeLists.txt)
@@ -20,7 +20,7 @@ QGIS_PATCH=$(shell sed -ne 's/SET(CPACK_PACKAGE_VERSION_PATCH "\([0-9]*\)")/\1/p
QGIS_ABI=$(QGIS_MAJOR).$(QGIS_MINOR).$(QGIS_PATCH)
GRASS_ABI=$(subst .,,$(shell pkg-config --modversion grass|sed -e "s/\.//g" -e "s/RC/-/"))

CMAKE_OPTS = \
CMAKE_OPTS := \
-Wno-dev \
-D GRASS_PREFIX=/usr/lib/grass64 \
-D CMAKE_INSTALL_PREFIX=/usr \
@@ -30,6 +30,11 @@ CMAKE_OPTS = \
-D WITH_SPATIALITE=TRUE \
-D WITH_INTERNAL_SPATIALITE=TRUE

ifeq ($(DISTRIBUTION),sid)
# depend on python 2.5 while transition to python 2.6 is on
CMAKE_OPTS += -D PYTHON_EXECUTABLE=/usr/bin/python2.5
endif

ifneq (,$(findstring $(DISTRIBUTION),"hardy intrepid"))
LDFLAGS += -Wl,--as-needed -Wl,--no-undefined
endif

0 comments on commit 2d07997

Please sign in to comment.
You can’t perform that action at this time.